commit 0dfa15ff86b82204b42e53cd2eafc2bc9b599e18
Author: Carles Marti <carles.marti-aliod@ens-lyon.fr>
Date:   Tue Jun 16 12:50:06 2020 +0200

    Changed input option from collision_bottom_z to collision_bottom

diff --git a/examples/dockonsurf.inp b/examples/dockonsurf.inp
index cd813d7..1035dcb 100644
--- a/examples/dockonsurf.inp
+++ b/examples/dockonsurf.inp
@@ -28,7 +28,7 @@ surf_norm_vect = x
 try_disso = True
 sample_points_per_angle = 4
 collision_threshold = 0.9
-collision_bottom_z = 5.2
+collision_bottom = 5.2
 
 [Refinement]
 refine_inp_file = tests/refine.inp    # run_type-dependent
diff --git a/modules/dos_input.py b/modules/dos_input.py
index 9cd561e..f715ec0 100644
--- a/modules/dos_input.py
+++ b/modules/dos_input.py
@@ -503,17 +503,16 @@ def get_screen_rmsd():
     return screen_rmsd
 
 
-def get_coll_bottom_z():
-    err_msg = num_error % ('collision_bottom_z', 'decimal number')
-    coll_bottom_z = dos_inp.get('Screening', 'collision_bottom_z',
-                                fallback="False")
-    if coll_bottom_z.lower() in turn_false_answers:
-        coll_bottom_z = False
+def get_coll_bottom():
+    err_msg = num_error % ('collision_bottom', 'decimal number')
+    coll_bottom = dos_inp.get('Screening', 'collision_bottom',
+                              fallback="False")
+    if coll_bottom.lower() in turn_false_answers:
+        coll_bottom = False
     else:
-        coll_bottom_z = try_command(float, [(ValueError, err_msg)],
-                                    coll_bottom_z)
+        coll_bottom = try_command(float, [(ValueError, err_msg)], coll_bottom)
 
-    return coll_bottom_z
+    return coll_bottom
 
 
 def get_refine_inp_file():
@@ -647,7 +646,7 @@ def read_input(in_file):
         return_vars['sample_points_per_angle'] = get_pts_per_angle()
         return_vars['collision_threshold'] = get_coll_thrsld()
         # return_vars['screen_rmsd'] = get_screen_rmsd()
-        return_vars['collision_bottom_z'] = get_coll_bottom_z()
+        return_vars['collision_bottom'] = get_coll_bottom()
 
     # Refinement
     if refinement:
diff --git a/tests/good.inp b/tests/good.inp
index 842f28e..671a0c6 100644
--- a/tests/good.inp
+++ b/tests/good.inp
@@ -28,7 +28,7 @@ surf_norm_vect = x
 try_disso = True
 sample_points_per_angle = 4
 collision_threshold = 0.9
-collision_bottom_z = 5.2
+collision_bottom = 5.2
 
 [Refinement]
 refine_inp_file = refine.inp    # run_type-dependent
diff --git a/tests/test_dos_input.py b/tests/test_dos_input.py
index a7e3da4..9722165 100644
--- a/tests/test_dos_input.py
+++ b/tests/test_dos_input.py
@@ -58,7 +58,7 @@ class TestGoodInput(unittest.TestCase):
                     'try_disso': True,
                     'sample_points_per_angle': 4,
                     'collision_threshold': 0.9,
-                    'collision_bottom_z': 5.2,
+                    'collision_bottom': 5.2,
                     'refine_inp_file': 'refine.inp',
                     'energy_cutoff': 1.0
                     }
@@ -132,8 +132,8 @@ class TestGoodInput(unittest.TestCase):
     def test_coll_thrsld(self):
         self.assertEqual(get_coll_thrsld(), 0.9)
 
-    def test_coll_bottom_z(self):
-        self.assertEqual(get_coll_bottom_z(), 5.2)
+    def test_coll_bottom(self):
+        self.assertEqual(get_coll_bottom(), 5.2)
 
     def test_refine_inp_file(self):
         self.assertEqual(get_refine_inp_file(), 'refine.inp')
@@ -205,8 +205,8 @@ class TestBadInput(unittest.TestCase):
     def test_coll_thrsld(self):
         self.assertRaises(ValueError, get_coll_thrsld)
 
-    def test_coll_bottom_z(self):
-        self.assertRaises(ValueError, get_coll_bottom_z)
+    def test_coll_bottom(self):
+        self.assertRaises(ValueError, get_coll_bottom)
 
     def test_refine_inp_file(self):
         self.assertRaises(FileNotFoundError, get_refine_inp_file)
diff --git a/tests/wrong.inp b/tests/wrong.inp
index e47c7e0..948dfcf 100644
--- a/tests/wrong.inp
+++ b/tests/wrong.inp
@@ -29,7 +29,7 @@ surf_norm_vect = waving
 try_disso = No drugs, thanks
 sample_points_per_angle = which points? what angle? who am I?
 collision_threshold = don't have a collision insurance, sorry
-collision_bottom_z = this must be twerking
+collision_bottom = this must be twerking
 
 [Refinement]
 refine_inp_file = Total.inp    # run_type-dependent
